AbstractRef (Apache Tomcat 9.0.37 API Documentation)

org.apache.naming

## Class AbstractRef

- java.lang.Object
- - javax.naming.Reference
  - - org.apache.naming.AbstractRef

- All Implemented Interfaces:
    Serializable, Cloneable
  Direct Known Subclasses:
    EjbRef, HandlerRef, LookupRef, ResourceEnvRef, ResourceLinkRef, ResourceRef, ServiceRef, TransactionRef

      public abstract class AbstractRef
      extends Reference

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.naming.Reference

      `addrs, classFactory, classFactoryLocation, className`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRef(String className)`
    `AbstractRef(String className, String factory, String factoryLocation)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract String` | `getDefaultFactoryClassName()`
    `String` | `getFactoryClassName()` Retrieves the class name of the factory of the object to which this reference refers.
    `String` | `toString()` Return a String rendering of this object.

    - ### Methods inherited from class javax.naming.Reference

      `add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractRef

          public AbstractRef(String className)

    - #### AbstractRef

          public AbstractRef(String className,
                             String factory,
                             String factoryLocation)

  - ### Method Detail

    - #### getFactoryClassName

          public final String getFactoryClassName()

      Retrieves the class name of the factory of the object to which this reference refers.
      Overrides:
        `getFactoryClassName` in class `Reference`

    - #### getDefaultFactoryClassName

          protected abstract String getDefaultFactoryClassName()

    - #### toString

          public final String toString()

      Return a String rendering of this object.
      Overrides:
        `toString` in class `Reference`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.